package school_project.Parsers;

import java.io.File;
import java.io.NotSerializableException;

/**
 * This is used to find the right parser to parser a save/level file.
 *
 * <p>
 * Mor file format can be added in the future by adding a new class that implement parser and making it recognisable by
 * the CreateParser class
 * </p>
 *
 * @author tonitch
 */
public class FileParserFactory {
    public static FileParser createParser(File file) throws NotSerializableException{
        if(isBinaryFile(file))
            return new BinaryParser();
        else if (isTextFile(file))
            return new TxtParser();
        else
            throw new NotSerializableException("This file format is not supported");
    }

    /**
     * Check if the file is a binary file suited for parsing
     * @return true if it is a binary File
     */
    private static boolean isBinaryFile(File file){
        // TODO: 3/18/23
        return false;
    }

    /**
     * Check if the file is a text file
     * @return true if it is a text File
     */
    private static boolean isTextFile(File file){
        return false;
        // TODO: 3/18/23
    }
}
